<?php

namespace EventPortal\Domain\Event\Actions;

use EventPortal\Domain\Event\Events\EventDeleted;
use EventPortal\Domain\Event\Models\Event;

class DeleteEvent
{
    public function execute(Event $event): void
    {
        $event->delegates()->delete();

        event(new EventDeleted($event));

        $event->delete();
    }
}
