<?php

namespace EventPortal\Domain\EventDelegate\Actions;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\EventDelegate\Events\EventDelegatesDisassociatedFromEvent;

class DisassociateFromEvent
{
    public function execute(Event $event, array $delegates): void
    {
        $event->delegates()->detach($delegates);

        event(new EventDelegatesDisassociatedFromEvent($event));
    }
}
