<?php

namespace EventPortal\Domain\EventSpeaker\Actions;

use EventPortal\Contracts\Event;
use EventPortal\Domain\EventSpeaker\Events\EventSpeakersDisassociatedFromEvent;

class DisassociateFromEvent
{
    public function execute(Event $event, array $speakers): void
    {
        $event->speakers()->detach($speakers);

        event(new EventSpeakersDisassociatedFromEvent($event));
    }
}
