<?php

namespace EventPortal\Domain\EventSpeaker\Events;

use EventPortal\Contracts\Event;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\SerializesModels;

class EventSpeakersDisassociatedFromEvent implements ShouldQueue
{
    use SerializesModels;

    public Event $event;

    public function __construct(Event $event)
    {
        $this->event = $event;
    }
}
