<?php

return [
    'Delegate Management' => [
        [
            'name' => 'delegate.show',
            'label' => 'View Delegates',
        ],
        [
            'name' => 'delegate.store',
            'label' => 'Create Delegates',
        ],
        [
            'name' => 'delegate.update',
            'label' => 'Edit Delegates',
        ],
        [
            'name' => 'delegate.destroy',
            'label' => 'Delete Delegates',
        ],
    ],
    'Email Management' => [
        [
            'name' => 'email.show',
            'label' => 'View Emails',
        ],
        [
            'name' => 'email.store',
            'label' => 'Create Emails',
        ],
        [
            'name' => 'email.update',
            'label' => 'Edit Emails',
        ],
        [
            'name' => 'email.destroy',
            'label' => 'Delete Emails',
        ],
    ],
    'Event Management' => [
        [
            'name' => 'event.show',
            'label' => 'View Events',
        ],
        [
            'name' => 'event.store',
            'label' => 'Create Events',
        ],
        [
            'name' => 'event.update',
            'label' => 'Edit Events',
        ],
        [
            'name' => 'event.destroy',
            'label' => 'Delete Events',
        ],
        [
            'name' => 'agenda.show',
            'label' => 'View agenda',
        ],
        [
            'name' => 'agenda.store',
            'label' => 'Create agenda',
        ],
        [
            'name' => 'agenda.destroy',
            'label' => 'Delete agenda',
        ],
        [
            'name' => 'agenda.session.store',
            'label' => 'Create agenda session',
        ],
        [
            'name' => 'agenda.session.update',
            'label' => 'Edit agenda session',
        ],
        [
            'name' => 'agenda.session.destroy',
            'label' => 'Delete agenda session',
        ],
        [
            'name' => 'form.store',
            'label' => 'Create form',
        ],
        [
            'name' => 'form.update',
            'label' => 'Update form',
        ],
        [
            'name' => 'event.view-sign-ins',
            'label' => 'View Event Sign-ins',
        ],
        [
            'name' => 'event.sign-delegates-in-out',
            'label' => 'Sign Delegates in and out',
        ],
    ],
    'Permission Management' => [
        [
            'name' => 'permission.show',
            'label' => 'View Permissions',
        ],
        [
            'name' => 'permission.update',
            'label' => 'Edit Permissions',
        ],
        [
            'name' => 'role.store',
            'label' => 'Add new role',
        ],
    ],
    'Team Management' => [
        [
            'name' => 'team.show',
            'label' => 'View Teams',
        ],
        [
            'name' => 'team.store',
            'label' => 'Create Teams',
        ],
        [
            'name' => 'team.update',
            'label' => 'Edit Teams',
        ],
        [
            'name' => 'team.destroy',
            'label' => 'Delete Teams',
        ],
    ],
    'User Management' => [
        [
            'name' => 'user.show',
            'label' => 'View Users',
        ],
        [
            'name' => 'user.store',
            'label' => 'Create Users',
        ],
        [
            'name' => 'user.update',
            'label' => 'Edit Users',
        ],
        [
            'name' => 'user.destroy',
            'label' => 'Delete Users',
        ],
    ],
    'Venue Management' => [
        [
            'name' => 'venue.show',
            'label' => 'View Venues',
        ],
        [
            'name' => 'venue.store',
            'label' => 'Create Venues',
        ],
        [
            'name' => 'venue.update',
            'label' => 'Edit Venues',
        ],
        [
            'name' => 'venue.destroy',
            'label' => 'Delete Venues',
        ],
    ],
    'Speaker Management' => [
        [
            'name' => 'speaker.show',
            'label' => 'View Speakers',
        ],
        [
            'name' => 'speaker.store',
            'label' => 'Create Speakers',
        ],
        [
            'name' => 'speaker.update',
            'label' => 'Edit Speakers',
        ],
        [
            'name' => 'speaker.destroy',
            'label' => 'Delete Speakers',
        ],
    ],
    'Event Delegate Management' => [
        [
            'name' => 'event-delegate.view',
            'label' => 'View Event Delegates',
        ],
        [
            'name' => 'event-delegate.add',
            'label' => 'Add Event Delegates',
        ],
        [
            'name' => 'event-delegate.remove',
            'label' => 'Remove Event Delegates',
        ],

    ],
    'Event Venue Management' => [
        [
            'name' => 'event-venue.view',
            'label' => 'View Event Venue',
        ],
        [
            'name' => 'event-venue.add',
            'label' => 'Add Venue Delegates',
        ],
        [
            'name' => 'event-venue.remove',
            'label' => 'Remove Venue Delegates',
        ],

    ],
    'Event Speaker Management' => [
        [
            'name' => 'event-speaker.view',
            'label' => 'View Speaker Delegates',
        ],
        [
            'name' => 'event-speaker.add',
            'label' => 'Add Speaker Delegates',
        ],
        [
            'name' => 'event-speaker.remove',
            'label' => 'Remove Speaker Delegates',
        ],

    ],
];
