<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDelegateEventPathwayTable extends Migration
{
    public function up(): void
    {
        Schema::create('delegate_event_pathway', static function (Blueprint $table): void {
            $table->increments('id');
            $table->unsignedInteger('delegate_event_id');
            $table->unsignedInteger('pathway_id');

            $table->timestamps();

            $table->foreign('delegate_event_id')->references('id')->on('delegate_event');
            $table->foreign('pathway_id')->references('id')->on('pathways');
        });
    }
}
