<?php

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Util\QuickButtons\Facades\QuickButtons;
use EventPortal\Enums\InertiaMethod;

QuickButtons::make('speakers.index')
    ->addButtons(function () {
        return [
            Button::make('Create Speaker')
                ->method(InertiaMethod::VISIT())
                ->route('admin.speaker.create')
                ->icon('plus'),
        ];
    });
