<?php

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Util\QuickButtons\Facades\QuickButtons;
use EventPortal\Enums\InertiaMethod;

QuickButtons::make('venues.index')
    ->addButtons(function () {
        return [
            Button::make('Create venue')
                ->method(InertiaMethod::VISIT())
                ->icon('plus')
                ->route('admin.venue.create'),
        ];
    });
