<?php

namespace EventPortal\Concerns;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Support\Facades\App;

trait QueriesJson
{
    /**
     * @param mixed $value
     */
    public function whereJson(Builder $query, string $field, $value): Builder
    {
        if (App::environment('testing')) {
            return $query->orWhere($field, $value);
        }

        return $query->orWhereJsonContains($field, $value);
    }
}
