<?php

namespace EventPortal\Domain\EventVenue\Actions;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\EventVenue\Events\EventVenuesAssociatedToEvent;

class AssociateToEvent
{
    public function execute(Event $event, array $venues): void
    {
        $event->venues()->syncWithoutDetaching($venues);

        event(new EventVenuesAssociatedToEvent($event));
    }
}
