<?php

namespace EventPortal\Domain\EventVenue\Actions;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\EventVenue\Events\EventVenuesDisassociatedFromEvent;

class DisassociateFromEvent
{
    public function execute(Event $event, array $venues): void
    {
        $event->venues()->detach($venues);

        event(new EventVenuesDisassociatedFromEvent($event));
    }
}
